%module jvrand
%{
#include <jvrand.h>
%}

typedef unsigned int size_t;

extern  void  jvrand_set_seed (long int seed);

extern  int  jvrand_discrete (int a, int b);
extern  unsigned  jvrand_geometric (double p);
extern  unsigned  jvrand_poisson (double m);

extern  double  jvrand_uniform (double a, double b);
extern  double  jvrand_normal (double m, double v);
extern  double  jvrand_exponential (double l);

/* extern  void  jvrand_shuffle (void *base, size_t count, size_t size); */

%init %{
  jvrand_init ();
%}
